<?
error_reporting(E_ALL^E_NOTICE);
if(isset($_GET['buy']) && $mc && $mcu['status']==1)
{
$cena=5000;
if($mc['rubies']>=$cena)
{
if(isset($_GET['ok']))
{
$place=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_collective_heli` WHERE `heli` = '0' AND `id_collective` = '$mc[id]'"));
if(!$place)err_game("В колхозном ангаре нету свободных площадок!");
else
{
mysql_query("UPDATE `kolhoz_collective` SET `rubies` = '".($mc['rubies']-$cena)."', `tehnika` = '".($mc['tehnika']+500)."' WHERE `id` = '$mc[id]'");
mysql_query("UPDATE `kolhoz_collective_heli` SET `heli` = '2', `gaz` = '250' WHERE `id` = '$place[id]'");
echo "<div class='feedback'><ul class='feedbackPanel'><li class='feedbackPanelINFO'><span class='feedbackPanelINFO'>Вертолёт \"Ястреб\" успешно куплен!</span></li></ul></div>";
}
}
else
{
echo "<div class='event'><h1>Подтверждение</h1></div><div class='content'><div class='block'><ul class='block'><li><span class='title'>Вы уверены?</span></li><li class='pt'><img alt='' width='16' height='16' src='images/icons/tick.png'> <a href='?shop=helicopter&2&buy&ok'><span> Да, подтверждаю</span></a></li><li><img alt='' width='16' height='16' src='images/icons/cross.png'> <a href='?shop=helicopter&2'><span> Нет, отказываюсь</span></a></li></ul></div>";
$pt=1;
}
}
else
{
no_rubies_ct($cena-$mc['rubies']);
}
}
if(!isset($pt))echo "<div class='event'><h1>Ястреб</h1></div>
<div class='content'>
<div class='block'>
<ul>
<li><span>
<img width='64' height='64' src='images/hawk1.png'
alt='o' class='portrait'>
<div>
Профессиональный вертолёт, максимальная конфигурация, будет полезен тем, кто хочет повысить урожай.<br/>
Прилетая на ферму, вертолет оставляет после себя бонус, который действует в течение 1-го часа. За один перелет потребляет 10 тонн топлива, вместимость бака 250 тонн.</div>
<div style='clear:both'></div>
<h3>Действие бонуса</h3>
<div>
Увеличивает объем урожая во время сбора на
300%.<br/>Механизация колхоза увеличивается на 500.
</div>
<div class='pt'>
<img width='16' height='16' src='images/icons/tick.png' alt='o'> <span>".($mc && $mcu['status']==1?"<a href='?shop=helicopter&2&buy'>":null)."Купить".($mc && $mcu['status']==1?"</a>":null)." <span>Ястреба</span></span>, цена: <span class='title'><img width='16' height='16' src='images/icons/ruby.png' alt='o'> <span class='title'>5 тыс.</span></span>
</div>
</span></li>
<div class='pt minor'>
Покупать вертолёты могут только председатели колхоза из средств колхозной кассы.<br/>
Для покупки вертолёта - в колхозном ангаре должна быть свободная вертолётная площадка.
</div>
</ul>
<div class='pt'>
<img width='16' height='16' src='images/icons/cart.png' alt='o'>
<a href='?shop'>В магазин</a>
</div>
</div>";
include_once 'inc/foot.php';
?>
